oasis.names.tc.saml._1_0.assertion

## Class AuthenticationStatement

- java.lang.Object
- - oasis.names.tc.saml._1_0.assertion.StatementAbstractType
  - - oasis.names.tc.saml._1_0.assertion.SubjectStatementAbstractType
    - - oasis.names.tc.saml._1_0.assertion.AuthenticationStatement

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:48:06+02:00",
                 comments="JAXB RI v2.3.7")
      public class AuthenticationStatement
      extends SubjectStatementAbstractType
      implements Serializable

  Java class for AuthenticationStatementType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthenticationStatementType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:1.0:assertion}SubjectStatementAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}SubjectLocality" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}AuthorityBinding" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="AuthenticationMethod" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="AuthenticationInstant" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationStatement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getAuthenticationInstant()` Gets the value of the authenticationInstant property.
    `String` | `getAuthenticationMethod()` Gets the value of the authenticationMethod property.
    `List<AuthorityBinding>` | `getAuthorityBindings()` Gets the value of the authorityBindings property.
    `SubjectLocality` | `getSubjectLocality()` Gets the value of the subjectLocality property.
    `void` | `setAuthenticationInstant(org.joda.time.DateTime value)` Sets the value of the authenticationInstant property.
    `void` | `setAuthenticationMethod(String value)` Sets the value of the authenticationMethod property.
    `void` | `setSubjectLocality(SubjectLocality value)` Sets the value of the subjectLocality property.

    - ### Methods inherited from class oasis.names.tc.saml._1_0.assertion.SubjectStatementAbstractType

      `getSubject, setSubject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationStatement

          public AuthenticationStatement()

  - ### Method Detail

    - #### getSubjectLocality

          public SubjectLocality getSubjectLocality()

      Gets the value of the subjectLocality property.
      Returns:
        possible object is `SubjectLocality`

    - #### setSubjectLocality

          public void setSubjectLocality(SubjectLocality value)

      Sets the value of the subjectLocality property.
      Parameters:
        `value` - allowed object is `SubjectLocality`

    - #### getAuthorityBindings

          public List<AuthorityBinding> getAuthorityBindings()

      Gets the value of the authorityBindings property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the authorityBindings property.

      For example, to add a new item, do as follows:

              getAuthorityBindings().add(newItem);

      Objects of the following type(s) are allowed in the list `AuthorityBinding`

    - #### getAuthenticationMethod

          public String getAuthenticationMethod()

      Gets the value of the authenticationMethod property.
      Returns:
        possible object is `String`

    - #### setAuthenticationMethod

          public void setAuthenticationMethod(String value)

      Sets the value of the authenticationMethod property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAuthenticationInstant

          public org.joda.time.DateTime getAuthenticationInstant()

      Gets the value of the authenticationInstant property.
      Returns:
        possible object is `String`

    - #### setAuthenticationInstant

          public void setAuthenticationInstant(org.joda.time.DateTime value)

      Sets the value of the authenticationInstant property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.